PHP Manual
Prev |  | Next

# sqlite_next

(PHP 5)

sqlite_next

(no version information, might be only in CVS)

SQLiteResult->next

(no version information, might be only in CVS)

SQLiteUnbuffered->next -- Seek to the next row number

## Description

bool sqlite_next ( resource result )

Object oriented style (method):

class SQLiteResult {
bool next ( void )
}class SQLiteUnbuffered {
bool next ( void )
}

sqlite_next() advances the result handle result to the next row.

## Parameters

result

  The SQLite result resource. This parameter is not required when using the object-oriented method.

## Return Values

Returns `TRUE` on success, or `FALSE` if there are no more rows.

## See Also

sqlite_seek()
sqlite_current()
sqlite_rewind()

Prev | Home | Next
sqlite_libversion | Up | sqlite_num_fields